/* REXX file to install PMStripper on the desktop     */
/* if you use this script as a starting point for your   */
/* own install script and make improvements, please send */
/* me a copy ---  dwhawk@intcon.net                   */

call rxfuncadd 'sysloadfuncs', 'rexxutil', 'sysloadfuncs'
call sysloadfuncs                /* register system functions */
address cmd '@echo off'          /* echo is turned off */

call SysCLS

say "PMStripper installation"
say "Enter destination drive and directory"
say "for example C:\OS2\APPS"
say "to install in the curent directory just press enter"

pull dest
call setup_dir(dest) 
/*
say " "
say "Enter CPU version to install"
say "Enter 3 for 386 version"
say "Enter 4 for 486 version"
say "Enter 5 for 586/686/Pentium version"

pull version
*/
call copy_files
call MKOBJ
exit

check_ok:
  say  'Okay to continue(Y/N) ? '        
  k = SysGetKey('NOECHO') 
  if k = 'Y' | k = 'y'  then return
  say 'halting'
    exit


mkdir:  /* Procedure for creating dir */
  Parse Arg dir
  rc = SysMkDir(dir)
  If (rc = 0 | rc = 5) Then Return
  Say 'Problem creating destination directory "'dir'"'
  Exit


MKOBJ:
Settings = 'EXENAME='direct||'\pmstrip.exe;'
Settings = Settings||'PROGTYPE=PM;MINIMIZED=NO'
Settings = Settings||'CCVIEW=YES;'
Settings = Settings||'ASSOCFILTER=*.HTM,*.HTML;'
Settings = Settings||'STARTUPDIR='||direct';'
rc=SysCreateObject('WPProgram','PMStripper','<WP_DESKTOP>',Settings,'R');

if rc = 1 then Say "PMStripper installed on desktop"
return

setup_dir:      /* accept install path and create it if needed */
                /* the desired install path is in ARG(1) */
                /* if no path is specified current directory is used*/

Parse Arg destin  /* parameter of setup_dir */

save_dest = destin    /*  save original destin to */
                      /*  determine if copy needed */

If destin = "" Then destin = Directory()

Say "Shall I install in "destin" ?"
Call Check_Ok  /* your check routine */

Parse Var destin direct ':\' destin   /* get drive name only */
direct=direct':'

Do Until destin = ""     /* No matter how many sub dirs present */
  Parse Var destin sub '\' destin
  direct=direct'\'sub
  Call mkdir direct
End
return

copy_files:
/*
if version = "5" then do
   'COPY pms5.exe pmstrip.exe'
end     
if version = "4" then do
   'COPY pms4.exe pmstrip.exe'
end     
if version = "3" then do
   'COPY pms3.exe pmstrip.exe'
end     
*/ 

if save_dest \= ""  then do
   'COPY pmstrip.doc' direct
   'COPY pmstrip.exe' direct  
   'COPY LICENSE.TXT' direct
   'COPY readme.1st' direct
   'COPY tips' direct
   'COPY viewer.txt' direct
   'COPY whats.new' direct
   'COPY _order.frm' direct
end
return

